# Method: folders.locations.effectiveSecurityHealthAnalyticsCustomModules.list

- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/folders.locations.effectiveSecurityHealthAnalyticsCustomModules/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/folders.locations.effectiveSecurityHealthAnalyticsCustomModules/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/folders.locations.effectiveSecurityHealthAnalyticsCustomModules/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/folders.locations.effectiveSecurityHealthAnalyticsCustomModules/list#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/folders.locations.effectiveSecurityHealthAnalyticsCustomModules/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/folders.locations.effectiveSecurityHealthAnalyticsCustomModules/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/folders.locations.effectiveSecurityHealthAnalyticsCustomModules/list#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/folders.locations.effectiveSecurityHealthAnalyticsCustomModules/list#try-it)

Returns a list of all `https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/folders.locations.effectiveSecurityHealthAnalyticsCustomModules#EffectiveSecurityHealthAnalyticsCustomModule` resources for the given parent. This includes resident modules defined at the scope of the parent, and inherited modules, inherited from ancestor organizations, folders, and projects (no descendants).

### HTTP request

`GET https://securitycentermanagement.googleapis.com/v1/{parent=folders/*/locations/*}/effectiveSecurityHealthAnalyticsCustomModules`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Name of parent to list effective custom modules, in one of the following formats: - `organizations/{organization}/locations/{location}` - `folders/{folder}/locations/{location}` - `projects/{project}/locations/{location}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000. |
| `pageToken` | `string` Optional. A pagination token returned from a previous request. Provide this token to retrieve the next page of results. When paginating, the rest of the request must match the request that generated the page token. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/ListEffectiveSecurityHealthAnalyticsCustomModulesResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `securitycentermanagement.effectiveSecurityHealthAnalyticsCustomModules.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).